ICC-4c C# SDK

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ICC4cPwmSdk.Device.IAnalogInput Interface Reference
Inheritance diagram for ICC4cPwmSdk.Device.IAnalogInput:

## Public Member Functions
void | SetAnalogInputCurrentMax (EChannel channel, float current)
| set maximum current = ADC -> 10V
void | SetAnalogInputCurrentMin (EChannel channel, float current)
| set minimum current = ADC -> 0V
float | GetAnalogInputCurrentMax (EChannel channel)
| get maximum current = ADC -> 10V
float | GetAnalogInputCurrentMin (EChannel channel)
| get minimum current = ADC -> 0V
void | SetAnalogInputDiopterMax (EChannel channel, float diopter)
| set maximum Dpt = ADC -> 10V
void | SetAnalogInputDiopterMin (EChannel channel, float diopter)
| set minimum Dpt = ADC -> 0V
float | GetAnalogInputDiopterMax (EChannel channel)
| get maximum Dpt = ADC -> 10V
float | GetAnalogInputDiopterMin (EChannel channel)
| set minimum Dpt = ADC -> 0V
CurrentLimitsDto | GetMinimumAndMaximumCurrent (EChannel channel)
| get minimum and maximum current ADC = 0V, 10V
void | SetAnalogInputVoltagePoints (EChannel channel, float[] voltages)
| set interval of points to modify -> new float[] { 0, 10 }
void | SetAnalogInputValuePoints (EChannel channel, float[] values)
| set interval of values to modify -> new float[] { -2, 3 } [dpt]
void | SetAnalogInputType (EChannel channel, EICC4cPwmUnitType unitType)
| set active control stage system
EICC4cPwmUnitType | GetAnalogActiveInputType (EChannel channel)
| determined by active control stage system
EICC4cPwmUnitType | GetAnalogInputType (EChannel channel)
| determined by active control stage system
void | SetAnalogInputExtrapolation (EChannel channel, EExtrapolationType extrapolation)
| set constant or linear extrapolation
EExtrapolationType | GetAnalogInputExtrapolation (EChannel channel)
| get constant or linear extrapolation

## Member Function Documentation

## ◆ GetAnalogActiveInputType()

EICC4cPwmUnitType ICC4cPwmSdk.Device.IAnalogInput.GetAnalogActiveInputType | ( | EChannel | channel | ) |

determined by active control stage system

Parameters

  channel | channel

Returns
  EICC4cPwmUnitType

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetAnalogInputCurrentMax()

float ICC4cPwmSdk.Device.IAnalogInput.GetAnalogInputCurrentMax | ( | EChannel | channel | ) |

get maximum current = ADC -> 10V

Parameters

  channel | channel

Returns
  current

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetAnalogInputCurrentMin()

float ICC4cPwmSdk.Device.IAnalogInput.GetAnalogInputCurrentMin | ( | EChannel | channel | ) |

get minimum current = ADC -> 0V

Parameters

  channel | channel

Returns
  current

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetAnalogInputDiopterMax()

float ICC4cPwmSdk.Device.IAnalogInput.GetAnalogInputDiopterMax | ( | EChannel | channel | ) |

get maximum Dpt = ADC -> 10V

Parameters

  channel | channel

Returns
  diopter

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetAnalogInputDiopterMin()

float ICC4cPwmSdk.Device.IAnalogInput.GetAnalogInputDiopterMin | ( | EChannel | channel | ) |

set minimum Dpt = ADC -> 0V

Parameters

  channel | channel

Returns
  diopter

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetAnalogInputExtrapolation()

EExtrapolationType ICC4cPwmSdk.Device.IAnalogInput.GetAnalogInputExtrapolation | ( | EChannel | channel | ) |

get constant or linear extrapolation

Parameters

  channel | channel

Returns
  EExtrapolationType

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetAnalogInputType()

EICC4cPwmUnitType ICC4cPwmSdk.Device.IAnalogInput.GetAnalogInputType | ( | EChannel | channel | ) |

determined by active control stage system

Parameters

  channel | channel

Returns
  GetAnalogActiveInputType

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetMinimumAndMaximumCurrent()

CurrentLimitsDto ICC4cPwmSdk.Device.IAnalogInput.GetMinimumAndMaximumCurrent | ( | EChannel | channel | ) |

get minimum and maximum current ADC = 0V, 10V

Parameters

  channel | channel

Returns
  CurrentLimitsDto

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetAnalogInputCurrentMax()

void ICC4cPwmSdk.Device.IAnalogInput.SetAnalogInputCurrentMax | ( | EChannel | channel,
|  | float | current )

set maximum current = ADC -> 10V

Parameters

  channel | channel
  current | current

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetAnalogInputCurrentMin()

void ICC4cPwmSdk.Device.IAnalogInput.SetAnalogInputCurrentMin | ( | EChannel | channel,
|  | float | current )

set minimum current = ADC -> 0V

Parameters

  channel | channel
  current | current

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetAnalogInputDiopterMax()

void ICC4cPwmSdk.Device.IAnalogInput.SetAnalogInputDiopterMax | ( | EChannel | channel,
|  | float | diopter )

set maximum Dpt = ADC -> 10V

Parameters

  channel | channel
  diopter | diopter

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetAnalogInputDiopterMin()

void ICC4cPwmSdk.Device.IAnalogInput.SetAnalogInputDiopterMin | ( | EChannel | channel,
|  | float | diopter )

set minimum Dpt = ADC -> 0V

Parameters

  channel | channel
  diopter | diopter

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetAnalogInputExtrapolation()

void ICC4cPwmSdk.Device.IAnalogInput.SetAnalogInputExtrapolation | ( | EChannel | channel,
|  | EExtrapolationType | extrapolation )

set constant or linear extrapolation

Parameters

  channel | channel
  extrapolation | extrapolation

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetAnalogInputType()

void ICC4cPwmSdk.Device.IAnalogInput.SetAnalogInputType | ( | EChannel | channel,
|  | EICC4cPwmUnitType | unitType )

set active control stage system

Parameters

  channel | channel
  unitType | unit type

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetAnalogInputValuePoints()

void ICC4cPwmSdk.Device.IAnalogInput.SetAnalogInputValuePoints | ( | EChannel | channel,
|  | float[] | values )

set interval of values to modify -> new float[] { -2, 3 } [dpt]

Parameters

  channel | channel
  values | values

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetAnalogInputVoltagePoints()

void ICC4cPwmSdk.Device.IAnalogInput.SetAnalogInputVoltagePoints | ( | EChannel | channel,
|  | float[] | voltages )

set interval of points to modify -> new float[] { 0, 10 }

Parameters

  channel | channel
  voltages | voltages

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

The documentation for this interface was generated from the following file:

- source/ICC4cPwmSdkDeviceController.cs